VERSION 5.00
Begin VB.Form Form1 
   BackColor       =   &H00C0C0C0&
   Caption         =   "Form1"
   ClientHeight    =   3204
   ClientLeft      =   48
   ClientTop       =   348
   ClientWidth     =   4368
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   10.2
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   ScaleHeight     =   3204
   ScaleWidth      =   4368
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Interval        =   500
      Left            =   0
      Top             =   660
   End
   Begin VB.CommandButton ToggleModeBtn 
      Caption         =   "Toggle Mode"
      Height          =   612
      Left            =   180
      TabIndex        =   0
      Top             =   1380
      Width           =   912
   End
   Begin VB.Label TemperatureLbl 
      Caption         =   "00.00C"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   19.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   492
      Left            =   2700
      TabIndex        =   4
      Top             =   900
      Width           =   1452
   End
   Begin VB.Label Label1 
      BackColor       =   &H00C0C0C0&
      Caption         =   "Put HUB serial number in PhCommon22.bas and plug TMP1000 into port 2."
      Height          =   492
      Left            =   180
      TabIndex        =   3
      Top             =   60
      Width           =   3972
   End
   Begin VB.Label AlertLbl 
      Caption         =   "Messages:"
      Height          =   792
      Left            =   180
      TabIndex        =   2
      Top             =   2220
      Width           =   2712
   End
   Begin VB.Label ModeLbl 
      Alignment       =   2  'Center
      Caption         =   " Polling Mode"
      Height          =   492
      Left            =   180
      TabIndex        =   1
      Top             =   900
      Width           =   912
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
   
' This sample creates a "TempSensor" class for the VINT TMP1000.
' Code for Polling and Event driven data accuation is included.
' The PhVintDigOut module is not used but is included as an
' example of how to add additional modules.  This code is based
' on my previous example "VB6 / Phidget22.dll / VINT Hub,
' REL1100, STC1001, ENC1000, LCD1100, VCP1100".  There you can
' find code for additional modules.
'
' This is a "work in progress" and probably contains errors.
   
 
'===========================================================================
'$=STRING   %=INTEGER int16   &=LONG int32   !=SINGLE flo32   #=DOUBLE flo64
'===========================================================================

   ' Put HUB serial number in PhCommon22 (PhVintHubSn1Sp&)
   ' Plug temperature module into port 2
      
'===========================================================================
Private Sub Form_Load()
   
   Dim stat& ' (As Long)

   If App.PrevInstance = True Then End    ' Exit if already running
   On Error Resume Next
   
   ' Setup TMP1000
   Call PhCommon22.SetupPhidgetsDevices(stat&)
   
End Sub

'===========================================================================
Private Sub Form_Unload(Cancel As Integer)
   
   ' Close and Delete all Phidgets channels
   Call PhCommon22.CloseAllPhidgets
   
   Sleep 200   ' Required for Interpreted mode
   
   End         ' End Program

End Sub

'===========================================================================
Private Sub Timer1_Timer()
   ' Read temp every 500ms if in Polling Mode
   ' If not using Polling Mode then PhTempOnTemperatureChange& will
   ' update the temperature.
   
   If EventMode = False Then
      Call ReadCTemperature
      TemperatureLbl = Format(CurrentCTemp#, "00.0C")
   End If
   
End Sub

'===========================================================================
Public Static Sub ReadCTemperature()

   Dim indx&, stat&, temperatureC#
   
   On Error Resume Next
   
   indx& = 20 ' Temperature Sensor index
   ' Read temperature
   stat& = PhTempGetTemperature(Dev(indx&).hndl, temperatureC#)
   If stat& <> 0 Then GoTo HandleErr ' Exit if error
   CurrentCTemp# = temperatureC#
   Exit Sub

HandleErr:
   AlertLbl = "A002" & vbCrLf & "Timer1 ReadCTemperature" _
                    & vbCrLf & PhGetErrorDescription$(stat&)
End Sub

'===========================================================================
Private Sub ToggleModeBtn_Click()
 
   If EventMode = True Then
      EventMode = False
      ModeLbl = " Polling Mode"
   Else
      EventMode = True
      ModeLbl = " Event Mode"
   End If
   
   AlertLbl = "" ' Clear any messages
   
End Sub

